/***************************************************************************
 *   Copyright (C) 2004 by David Banz                                      *
 *   neko@netcologne.de                                                    *
 *   GPL'ed                                                                *
 ***************************************************************************/

#include "about.xpm"
#include "help.xpm"
#include "next.xpm"
#include "prev.xpm"
#include "play.xpm"
#include "open.xpm"
#include "stop.xpm"
#include "quit.xpm"
#include "mono.xpm"
#include "headphone.xpm"
#include "stereo.xpm"

#include <qpixmap.h>

#include "TfxControlData.h"

CRawGui::CRawGui(QWidget* parent, const char* name) : QWidget(parent, name, 0 )
{
	// subwidget creation
	m_pPlayButton=new QPushButton(this, "PlayButton");
	m_pPlayButton->setFocusPolicy(QWidget::TabFocus);
	m_pPlayButton->setPixmap(QPixmap(play_xpm));

	m_pStopButton=new QPushButton(this, "StopButton");
	m_pStopButton->setFocusPolicy(QWidget::TabFocus);
	m_pStopButton->setPixmap(QPixmap(stop_xpm));

	m_pOpenButton=new QPushButton(this, "OpenButton");
	m_pOpenButton->setFocusPolicy(QWidget::TabFocus);
	m_pOpenButton->setPixmap(QPixmap(open_xpm));

	m_pQuitButton=new QPushButton(this, "QuitButton");
	m_pQuitButton->setFocusPolicy(QWidget::TabFocus);
	m_pQuitButton->setPixmap(QPixmap(quit_xpm));

	m_pStatusBar=new QLabel(this, "StatusBar");
	m_pStatusBar->setFocusPolicy(QWidget::NoFocus);
	m_pStatusBar->setText("Sakuraplayer");
	m_pStatusBar->setAlignment(QLabel::AlignVCenter);
	
	m_pUpButton=new QPushButton(this, "UpButton");
	m_pUpButton->setFocusPolicy(QWidget::TabFocus);
	m_pUpButton->setPixmap(QPixmap(next_xpm));

	m_pDownButton=new QPushButton(this, "DownButton");
	m_pDownButton->setFocusPolicy(QWidget::TabFocus);
	m_pDownButton->setPixmap(QPixmap(prev_xpm));

	m_pSongLcd=new QLCDNumber(this, "SongLcd");
	m_pSongLcd->setFocusPolicy(QWidget::NoFocus);
	m_pSongLcd->setFrameStyle(33);
	m_pSongLcd->setSmallDecimalPoint(false);
	m_pSongLcd->setNumDigits(2);
	m_pSongLcd->setMode(QLCDNumber::DEC);
	m_pSongLcd->setSegmentStyle(QLCDNumber::Outline);

	m_pBitLcd=new QLCDNumber(this, "BitLcd");
	m_pBitLcd->setFocusPolicy(QWidget::NoFocus);
	m_pBitLcd->setFrameStyle(33);
	m_pBitLcd->setSmallDecimalPoint(false);
	m_pBitLcd->setNumDigits(2);
	m_pBitLcd->setMode(QLCDNumber::DEC);
	m_pBitLcd->setSegmentStyle(QLCDNumber::Outline);

	m_pSixteenButton=new QPushButton(this, "SixteenButton");
	m_pSixteenButton->setFocusPolicy(QWidget::TabFocus);
	m_pSixteenButton->setText("16bit");

	m_pEightButton=new QPushButton(this, "EightButton");
	m_pEightButton->setFocusPolicy(QWidget::TabFocus);
	m_pEightButton->setText("8bit");

	m_pFreqLcd=new QLCDNumber(this, "FreqLcd");
	m_pFreqLcd->setFocusPolicy(QWidget::NoFocus);
	m_pFreqLcd->setFrameStyle(33);
	m_pFreqLcd->setSmallDecimalPoint(false);
	m_pFreqLcd->setNumDigits(2);
	m_pFreqLcd->setMode(QLCDNumber::DEC);
	m_pFreqLcd->setSegmentStyle(QLCDNumber::Outline);

	m_pHiButton=new QPushButton(this, "HiButton");
	m_pHiButton->setFocusPolicy(QWidget::TabFocus);
	m_pHiButton->setText("Freq+");

	m_pLoButton=new QPushButton(this, "LoButton");
	m_pLoButton->setFocusPolicy(QWidget::TabFocus);
	m_pLoButton->setText("Freq-");

	m_pHelpButton=new QPushButton(this, "HelpButton");
	m_pHelpButton->setFocusPolicy(QWidget::TabFocus);
	m_pHelpButton->setPixmap(QPixmap(help_xpm));

	m_pAboutButton=new QPushButton(this, "AboutButton");
	m_pAboutButton->setFocusPolicy(QWidget::TabFocus);
	m_pAboutButton->setPixmap(QPixmap(about_xpm));

	m_pToolTipCheck=new QCheckBox(this, "ToolTipCheck");
	m_pToolTipCheck->setFocusPolicy(QWidget::TabFocus);
	m_pToolTipCheck->setText("Tooltips");
	m_pToolTipCheck->setChecked(TRUE);
	
	m_pSeparationBar=new QLabel(this, "SeparationBar");
	m_pSeparationBar->setFocusPolicy(QWidget::NoFocus);
	m_pSeparationBar->setText("undefined");

	m_pMonoButton=new QPushButton(this, "MonoButton");
	m_pMonoButton->setFocusPolicy(QWidget::TabFocus);
	m_pMonoButton->setPixmap(QPixmap(mono_xpm));

	m_pHeadphonesButton=new QPushButton(this, "HeadphonesButton");
	m_pHeadphonesButton->setFocusPolicy(QWidget::TabFocus);
	m_pHeadphonesButton->setPixmap(QPixmap(headphone_xpm));

	m_pStereoButton=new QPushButton(this, "StereoButton");
	m_pStereoButton->setFocusPolicy(QWidget::TabFocus);
	m_pStereoButton->setPixmap(QPixmap(stereo_xpm));

	m_pOverSample=new QCheckBox(this, "overSample");
	m_pOverSample->setFocusPolicy(QWidget::TabFocus);
	m_pOverSample->setText("Oversampling");

	m_pGemxButton=new QCheckBox(this, "gemx");
	m_pGemxButton->setFocusPolicy(QWidget::TabFocus);
	m_pGemxButton->setText("force GemX fix");

	m_pDangerFreakButton=new QCheckBox(this, "gemx");
	m_pDangerFreakButton->setFocusPolicy(QWidget::TabFocus);
	m_pDangerFreakButton->setText("force Danger Freak fix");

	m_pFileBar=new CAdvLabel(this, "FileBar");
	m_pFileBar->setText("");

	// geometry
	m_pPlayButton->setGeometry(0, 0, 100, 30);
	m_pStopButton->setGeometry(100, 0, 100, 30);
	m_pOpenButton->setGeometry(200, 0, 100, 30);
	m_pQuitButton->setGeometry(300, 0, 100, 30);
	m_pFileBar->setGeometry(0, 30, 400, 30);

	m_pStatusBar->setGeometry(5, 60, 95, 30);

	m_pUpButton->setGeometry(402, 0, 40, 20);
	m_pDownButton->setGeometry(402, 70, 40, 20);
	m_pSongLcd->setGeometry(402, 20, 40, 50);
	m_pBitLcd->setGeometry(442, 20, 40, 50);
	m_pEightButton->setGeometry(442, 70, 40, 20);
	m_pSixteenButton->setGeometry(442, 0, 40, 20);
	m_pFreqLcd->setGeometry(482, 20, 40, 50);
	m_pHiButton->setGeometry(482, 0, 40, 20);
	m_pLoButton->setGeometry(482, 70, 40, 20);
	m_pToolTipCheck->setGeometry(305, 60, 95, 30);

	m_pHelpButton->setGeometry(100, 60, 100, 30);
	m_pAboutButton->setGeometry(200, 60, 100, 30);

	m_pSeparationBar->setGeometry(5, 90, 95, 20);

	m_pMonoButton->setGeometry(100, 90, 100, 20);
	m_pHeadphonesButton->setGeometry(200, 90, 100, 20);
	m_pStereoButton->setGeometry(300, 90, 100, 20);
	m_pOverSample->setGeometry(402, 90, 120, 21);
	
	m_pGemxButton->setGeometry(2+0, 90 + 21, 150-2, 21);
	m_pDangerFreakButton->setGeometry(150, 90 + 21, 200, 21);
	
	resize(522,110 + 21);
	setMinimumSize(522, 110 + 21);
	setMaximumSize(522, 110 + 21);
}

CRawGui::~CRawGui(){}

// the end
