/***************************************************************************
 *   Copyright (C) 2004 by David Banz                                      *
 *   neko@netcologne.de                                                    *
 *   GPL'ed                                                                *
 ***************************************************************************/

#include "advlabel.h"

CAdvLabel::CAdvLabel(QWidget* parent, const char* name):QLineEdit(parent,name)
{
	setAcceptDrops(false);
	m_oStoredString="";
	// actually, overloading keyPressEvent(..) is more sophisticated, but it requires more work...
	connect(this, SIGNAL(textChanged(const QString&)), this, SLOT(restoreText()));
}

CAdvLabel::~CAdvLabel()
{
}

void CAdvLabel::storeText(QString str)
{
	blockSignals(true);
	setText(str);
	m_oStoredString=str;
	blockSignals(false);
}

void CAdvLabel::restoreText()
{
	int cp=cursorPosition()-1;
	int newCp=cp>0?cp:0;
	setText(m_oStoredString);
	setCursorPosition(newCp);
}
